@import '_content/Blazored.Modal/Blazored.Modal.bundle.scp.css';
@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';

/* _content/Portal/Pages/ConfigurationSettings/FeatureFlags.razor.rz.scp.css */

.custom-dropdown .dropdown-item[b-q6rno94jn4] {
    font-size: xx-small;
}
.red-text[b-q6rno94jn4] {
    color:red;
}
@media(min-width: 1400px) {
    .custom-dropdown .dropdown-menu[b-q6rno94jn4] {
        width: 80px !important;
        min-width: 10rem !important;
    }

    .custom-table th[b-q6rno94jn4], .custom-table td[b-q6rno94jn4] {
        max-width: 250px;
        font-size: medium;
    }

    .client-filters-text[b-q6rno94jn4] {
        font-size: small;
        word-break: break-word;
    }

    .custom-dropdown .dropdown-item[b-q6rno94jn4] {
        font-size: small;
    }
}

.custom-dropdown .dropdown-toggle[b-q6rno94jn4]::after {
    content: none !important;
}

.custom-dropdown .dropdown-menu[b-q6rno94jn4] {
    width: 100px !important;
    min-width: 7rem !important;
}

.custom-dropdown .dropdown-item span.oi[b-q6rno94jn4] {
    font-size: xx-small;
    margin-right: 5px;
}
/* _content/Portal/Pages/EditCustomerDmsIntegration.razor.rz.scp.css */
.itemTitle[b-rv3ge6g4pw] {
    font-size: 13px;
    font-weight: 600;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.itemSubtext[b-rv3ge6g4pw] {
    font-size: 12px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
/* _content/Portal/Pages/Error.cshtml.rz.scp.css */
.main-error-page[b-s3wj4okpd0] {
    min-height: 600px;
    margin: 0px auto;
    width: auto;
    max-width: 560px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.error-title[b-s3wj4okpd0] {
    max-width: 529px;
    font-family: Roboto;
    font-size: 38px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #4b4b62;
    margin-bottom: 16px;
}

.error-message[b-s3wj4okpd0] {
    max-width: 568px;
    font-family: Roboto;
    font-size: 24px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.31;
    letter-spacing: normal;
    text-align: center;
    color: #4b4b62;
    margin-bottom: 24px;
}

.error-subtitle[b-s3wj4okpd0] {
    max-width: 568px;
    font-family: Roboto;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.31;
    letter-spacing: normal;
    text-align: center;
    color: #4b4b62;
    margin-bottom: 6px;
}
/* _content/Portal/Pages/Shared/MainLayout.razor.rz.scp.css */
.page[b-vct98y3ck8] {
    display: grid;
    grid-template-areas:
        'head head'
        'nav main';
    grid-template-columns: 240px auto;
    grid-template-rows: 64px auto;
    height: 100vh;
    position: relative;
    width: 100vw;
    height: 100vh;
}

.page .main[b-vct98y3ck8] {
    height: calc(100vh - 76px);
}
.page .main .content[b-vct98y3ck8] {
    height: 100%;
}

.top-row[b-vct98y3ck8] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}
.top-row[b-vct98y3ck8]  a, .top-row .btn-link[b-vct98y3ck8] {
    white-space: nowrap;
    margin-left: 1.5rem;
}

.top-row a:first-child[b-vct98y3ck8] {
    overflow: hidden;
    text-overflow: ellipsis;
}

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-vct98y3ck8] {
        display: none;
    }

    .top-row.auth[b-vct98y3ck8] {
        justify-content: space-between;
    }

    .top-row a[b-vct98y3ck8], .top-row .btn-link[b-vct98y3ck8] {
        margin-left: 0;
    }
}
@media (min-width: 641px) {

    .top-row[b-vct98y3ck8] {
        position: sticky;
        top: 0;
        z-index: 1;
    }
}
/* _content/Portal/Pages/Shared/NavMenu.razor.rz.scp.css */
.navbar[b-29am13y3tu] {
    grid-area: head;
    padding: 0px 0px;
}
.navbar-toggler-container[b-29am13y3tu] {
    background-color: var(--color-gray-50);
    display: flex;
    justify-content: flex-end;
}
.navbar-toggler[b-29am13y3tu] {
    background-color: rgba(255, 255, 255, 0.1);
    color: var(--color-blue-400);
    padding: 8px 4px;
}
.top-row[b-29am13y3tu] {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    border-bottom: 3px solid var(--color-purple-500);
    height: 64px;
}
.top-row-corner[b-29am13y3tu] {
    display: flex;
    align-items: center;
    width: 240px;
    min-height: 64px;
    background-color: var(--color-purple-950);
}
.top-row-corner a[b-29am13y3tu] {
    padding-left: 15px;
}
.top-row-header a[b-29am13y3tu] {
    padding-left: 20px;
}
.navbar-brand[b-29am13y3tu] {
    display: flex;
    font-weight: 500;
    gap: 16px;
    margin-bottom: 0;
}
.navbar-brand[b-29am13y3tu],
.navbar-light .navbar-brand:focus[b-29am13y3tu], 
.navbar-light .navbar-brand:hover[b-29am13y3tu] {
    color: var(--color-orange-400);
    font-size: 1.1rem;
}

.oi[b-29am13y3tu] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
}

.bottom-element[b-29am13y3tu] {
    
}
.sidebar[b-29am13y3tu] {
    background-color: var(--color-purple-950);
    box-shadow: 0px 4px 8px 2px rgb(31 31 31 / 12%);
    display: flex;
    flex-direction: column;
    grid-area: nav;
    z-index: 3;
}
.collapse.sidebar[b-29am13y3tu] {
    box-shadow: none;
    display: block;
    left: -236px;
    position: absolute;
}
.collapse.sidebar .navbar-toggler-container[b-29am13y3tu] {
    position: absolute;
    right: -64px;
}
.nav-item[b-29am13y3tu] {
    font-size: 0.9rem;
}
.nav-item:first-of-type[b-29am13y3tu] {
    padding-top: 1rem;
}
.nav-item:last-of-type[b-29am13y3tu] {
    padding-bottom: 0.5rem;
}

.nav-item[b-29am13y3tu]  a {
    color: var(--color-base-white);
    height: 2rem;
    display: flex;
    align-items: center;
}

.nav-item[b-29am13y3tu]  a.active {
    background-color: var(--color-purple-500);
}

.nav-item[b-29am13y3tu]  a:hover {
    background-color: var(--color-purple-400);
}

@media (min-width: 641px) {
    .navbar-toggler[b-29am13y3tu] {
        display: none;
    }

    .collapse[b-29am13y3tu] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* _content/Portal/Pages/Tenants/AddTenantProduct.razor.rz.scp.css */
.scroll-max-height-300[b-4xppscze5g] {
    max-height: 300px;
    overflow-y: auto
}

.sticky-bottom[b-4xppscze5g] {
    position: sticky;
    bottom: 0;
    background: white
}
/* _content/Portal/Pages/Tenants/CreateTenant.razor.rz.scp.css */
.scroll-max-height-600[b-omdt8z5kj6] {
    max-height: 600px;
    overflow-y: scroll;
    scroll-behavior: smooth
}

.content-json.scroll-max-height-400[b-omdt8z5kj6] {
    max-height: 400px;
    overflow-y: scroll;
    scroll-behavior: smooth;
    font-size: 12px;
}

.scroll-max-height-200[b-omdt8z5kj6] {
    max-height: 200px;
    overflow-y: auto
}
/* _content/Portal/Pages/Tenants/ProductSettingsTable.razor.rz.scp.css */
.table-settings.max-height[b-sphrgenjta] {
    max-height: 600px;
    overflow-y: auto
}
/* _content/Portal/Pages/Tenants/ProductSettingWidget.razor.rz.scp.css */
.inline-edit-input[b-weq7taounu] {
    width: 90%;
    height: 100%;
    border: none;
    position: inherit;
}
/* _content/Portal/Pages/Turnkey/GlTable.razor.rz.scp.css */
.modal-container[b-vxu4aqrq7z] {
    max-height: 80vh;
    overflow: auto;
}

.modal-container .error[b-vxu4aqrq7z] {
    color: red;
}

.modal-container .table-container[b-vxu4aqrq7z] {
    width: 100%;
}
.modal-container .table-container .error-container[b-vxu4aqrq7z] {
    height: 130px;
    background-color: pink;
}
.modal-container .table-container .error-container .oi-warning[b-vxu4aqrq7z] {
    color: red;
}

.modal-container .table-container .content-table-wrapper[b-vxu4aqrq7z] {
    height: calc(100% - 210px);
    width: 100%;
    overflow: auto;
}

[b-vxu4aqrq7z] .invalid-cell {
    color: red;
}
[b-vxu4aqrq7z] .invalid-row {
    border: 2px solid red;
}

[b-vxu4aqrq7z] td {
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

[b-vxu4aqrq7z] tr {
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
/* _content/Portal/Pages/Turnkey/Modals/BankAccountModalForm.razor.rz.scp.css */
[b-9gypqd0tta] .iti {
    width: 100%;
}

[b-9gypqd0tta] .iti input {
    width: 100%;
    border: none;
}

[b-9gypqd0tta] .iti input:focus-visible {
    outline: none;
}

[b-9gypqd0tta] .invalid-custom {
    outline: 1px solid red !important;
    border-color: red !important;
}

/* _content/Portal/Pages/Turnkey/Modals/BankModalForm.razor.rz.scp.css */
[b-2zhqt83gxw] .iti {
    width: 100%;
}

[b-2zhqt83gxw] .iti input {
    width: 100%;
    border: none;
}

[b-2zhqt83gxw] .iti input:focus-visible {
    outline: none;
}

/* _content/Portal/Pages/Turnkey/Modals/ConfirmationModalForm.razor.rz.scp.css */
[b-v0mvfs9mup] .iti {
    width: 100%;
}

[b-v0mvfs9mup] .iti input {
    width: 100%;
    border: none;
}

[b-v0mvfs9mup] .iti input:focus-visible {
    outline: none;
}

/* _content/Portal/Pages/Turnkey/Modals/OfficeModalForm.razor.rz.scp.css */
[b-ogc62b4qp0] .iti {
    width: 100%;
}

[b-ogc62b4qp0] .iti input {
    width: 100%;
    border: none;
}

[b-ogc62b4qp0] .iti input:focus-visible {
    outline: none;
}

/* _content/Portal/Pages/Turnkey/SurveyForm.razor.rz.scp.css */
.form-container[b-7brfbyc1xj] {
    margin-bottom: 60px;
    width: 100%;
    overflow: auto;
    height: 100%;
}

.form-container.contains-footer[b-7brfbyc1xj] {
    height: calc(100% - 50px);
}
[b-7brfbyc1xj] .iti {
    width: 100%;
}

[b-7brfbyc1xj] .iti input{
    width: 100%;
    border: none;
}

[b-7brfbyc1xj] .iti input:focus-visible {
    outline: none;
}

[b-7brfbyc1xj] .inline-double {
    width: 100%;
}
[b-7brfbyc1xj] .inline-double span{
    display: flex;
    width: 100%;
}

[b-7brfbyc1xj] .inline-double.left span .left-container{
    width: 70%;
    padding-right: 10%;
}

[b-7brfbyc1xj] .inline-double.left span .right-container {
    width: 29%;
}

[b-7brfbyc1xj] .inline-double.right span .left-container {
    width: 29%;
}

[b-7brfbyc1xj] .inline-double.right span .right-container {
    width: 70%;
    padding-left: 10%;
}

[b-7brfbyc1xj] svg {
    margin: unset;
}

.buttons-container[b-7brfbyc1xj] {
    border-top: 1px solid var(--color-gray-300);
    bottom: 0;
    padding: 0 24px;
    position: fixed;
    right: 0;
    width: 100%;
    z-index: 2;
}
.form-group[b-7brfbyc1xj] {
    max-width: 400px;
}
hr[b-7brfbyc1xj] {
    margin: 16px 48px;
}
/* _content/Portal/Pages/Turnkey/Templates/ReadonlyPhoneNumberTemplate.razor.rz.scp.css */
[b-352ik9adzc] .iti__flag-container{
    display: none;
}
